from oas_behave.environment import *


def before_tag(context, tag):
    """Define steps run before each tag."""

    userdata = context.config.userdata
    if tag == 'kube-prometheus-stack':
        context.grafana = get_values(userdata, 'grafana')

    if tag == 'nextcloud':
        context.nextcloud = get_values(userdata, 'nextcloud')

    if tag == 'rocketchat':
        context.rocketchat = get_values(userdata, 'rocketchat')

    if tag == 'wordpress':
        context.wordpress = get_values(userdata, 'wordpress')
